<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";

echo '<img src="../images/img/partners.gif" alt=""> <b><font color="#FFFF00"> Отписка от новостей сайта</font></b><br><br>';

if (isset($_GET['subdel'])) { $kod=$_GET['subdel'];
if(!eregi("[^a-z0-9]",$kod)){

$lines=file("../local/sub.dat"); $count=count($lines);
for ($b=0; $b<$count; $b++) {$dt=explode("|",$lines[$b]); if ($dt[1]==$kod) {$ok=$b;  $uz_log=check($dt[4]); break;}}
if (isset($ok)) {

$file=file("../local/sub.dat"); $i=count($file); // удаляем юзера из БД
$fp=fopen("../local/sub.dat","w");
flock ($fp,LOCK_EX);
for ($i=0;$i< sizeof($file);$i++) { if ($i==$ok) {unset($file[$i]);} }
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);
$ok="";



//------------------------------Запись в профиль ----------------------------//
$ufile = file(BASEDIR."local/profil/$uz_log.prof"); 
$udata = explode(":||:",$ufile[0]);

$udata[34]=0;
$udata[35]=0;

for ($u=0; $u<$config_userprofkey; $u++){
$utext.=$udata[$u].':||:';}

if($udata[0]!="" && $udata[1]!="" && $udata[4]!="" && $utext!=""){
$fp=fopen(BASEDIR."local/profil/$uz_log.prof","a+");    
flock($fp,LOCK_EX);           
ftruncate($fp,0);                                                                
fputs($fp,$utext);
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp); 
unset($utext);
}

echo 'Поздравляем '.$uz_log.'!<br>Вы успешно отписаны от рассылки!<br>';

}else{echo'Произошла ошибка, код отписки  неверен!';}
}else{echo'Произошла ошибка, недопустимый код отписки!';}
}else{echo'Произошла ошибка, отписаться от новостей не получилось!';}


echo'<br><img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>';
include_once"../themes/$config_themes/foot.php";
?>